Subject: Re: bug#18696: Emacs freezes for a while visitin Conf (.ini)) buffers

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Oct 2014 11:36:41 +0300

> Date: Sun, 12 Oct 2014 10:24:18 +0200
> From: Angelo Graziosi <[email-masked]>
> 
> I have see this trying to visit Cygwin setup.ini files [*], for example:
> 
>    ftp://mirrors.kernel.org/sourceware/cygwin/x86_64/setup.ini
> 
> 
> (it is a file of about 2.5 MiB).
> 
> After C-x C-f setup.ini, Emacs freezes (or hangs, if you prefer) and 
> does not respond for a while (> 1 minute), CPU is at 80-100%. Then it 
> works fine. Maybe it is processing the file but I wonder if this 
> 'freezing' is to be expected.

If this is in "emacs -Q", then I cannot reproduce this in a MinGW
build.  (You didn't say which version, so I tried the 24.3.94 pretest
and a recent trunk.)

If this is not in "emacs -Q", there's likely some optional feature
that causes that.

In any case, attaching a debugger during the freeze and looking what
does the main thread do should shed some light on this.